%global momorel 1
%global pythonver 2.5.1-11m
%global appname virtinst

%{!?python_sitelib: %define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary: Python modules for starting Xen guest installations
Name: python-virtinst
Version: 0.300.3
Release: %{momorel}m%{?dist}
Source0: http://virt-manager.org/download/sources/virtinst/virtinst-%{version}.tar.gz
NoSource: 0
Patch10: virtinst-0.300.3-momonga.patch
License: GPL
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch
ExcludeArch: ppc ppc64 s390 s390x
Url: http://virt-manager.org/
Provides: virtinst
Requires: libvirt-python >= 0.3.3
Requires: urlgrabber
BuildRequires: python-devel >= %{pythonver}
Obsoletes: python-xeninst < 0.97.0

%description
virtinst is a module to help in starting installations of Fedora/Red
Hat Enterprise Linux related distributions inside of virtual machines.  It
supports both paravirt guests (for which only FC and RHEL guests are
currently supported) as well as fully virtualized guests.  It uses
libvirt (http://www.libvirt.org) for starting things.

Also contained is a simple script virt-install which uses
virtinst in a command line mode.

%prep
%setup -q -n virtinst-%{version}

%patch10 -p1 -b .momonga

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install -O1 --root=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_sbindir}
ln -s ../bin/virt-install $RPM_BUILD_ROOT/%{_sbindir}/virt-install

%find_lang %{appname} || echo 0

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{appname}.lang
%defattr(-,root,root)
%doc README AUTHORS NEWS ChangeLog
%{_bindir}/virt-clone
%{_bindir}/virt-image
%{_bindir}/virt-install
%{_sbindir}/virt-install
%dir %{python_sitelib}/virtinst
%{python_sitelib}/virtinst/*
%{python_sitelib}/%{appname}-*.egg-info
%{_mandir}/man1/*.1.*
%{_mandir}/man5/*.5.*

%changelog
* Sat Jun 21 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.300.3-1m)
- update to 0.300.3

* Wed Apr 30 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.300.2-4m)
- restrict python ver-rel for egginfo

* Sat Apr 26 2008 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.300.2-3m)
- add *.egg-info to %%files section 

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.300.2-2m)
- rebuild against gcc43

* Fri Feb  1 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.300.2-1m)
- update 0.300.2

* Thu Jan 31 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.300.1-1m)
- update 0.300.1

* Tue Sep 11 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.300.0-1m)
- update 0.300.0

* Sun Sep  9 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.200.0-1m)
- update 0.200.0

* Tue Jun 26 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.103.0-2m)
- add Patch5 virtinst-0.103.0-momonga.patch (for Momonga iso install)

* Sun Jun 10 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (0.103.0-1m)
- sync Fedora

* Wed Feb  7 2007 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.96.0-3m)
- rebuild against python-2.5-9m

* Sat Dec 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.96.0-2m)
- rebuild against python-2.5

* Mon Nov 06 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.96.0-1m)
- import Momonga for xen
- add Requires: python-urlgrabber

* Wed Oct 18 2006 Jeremy Katz <katzj@redhat.com> - 0.96.0-1
- improve check for if a machine is hvm capable to catch when support isn't
  allowed by the bios (#211276)
- cleanup after nfs mount failure on pv install (#206196)
- support for setting vcpus (#210516)

* Thu Oct 12 2006 Jeremy Katz <katzj@redhat.com> - 0.95.0-1
- support for blktap (danpb)
- name change

* Tue Oct  3 2006 Jeremy Katz <katzj@redhat.com> - 0.94.0-1
- Fix using block device as backing (#209138)
- Fix error handling for invalid install locations (danpb)
- Write out vcpu config (danpb)

* Wed Sep 20 2006 Jeremy Katz <katzj@redhat.com> - 0.93.0-1
- Fix hvm network xm config (danpb)
- Enable PAE with pae hvm hosts (danpb)
- Fix hvm block backed cds (danpb)
- Fix handling of block devs backed by vbds (danpb)
- Ensure we're on a xen kernel (#205889)
- Default to vncunused

* Wed Sep  6 2006 Jeremy Katz <katzj@redhat.com> - 0.92.0-2
- add patch to fix memory parsing in interactive mode
- fix deps

* Wed Aug 30 2006 Jeremy Katz <katzj@redhat.com> - 0.92.0-1
- Fix silly loop when asking about graphics support (misa)
- Fix passing macaddr
- Add support so that we reboot into the guest after installation finishes 

* Tue Aug 29 2006 Jeremy Katz <katzj@redhat.com> - 0.91.0-1
- add support for paravirt guests with framebuffer. 

* Mon Aug 21 2006 Jeremy Katz <katzj@redhat.com> - 0.90.1-1
- fix tab/space whitespace inconsistency

* Wed Aug 16 2006 Jeremy Katz <katzj@redhat.com> - 0.90.0-2
- set ExcludeArch so that it doesn't get pulled into all trees

* Wed Aug 16 2006 Jeremy Katz <katzj@redhat.com> - 0.90.0-1
- update to version with fixed HVM domain creation

* Wed Aug 16 2006 Jeremy Katz <katzj@redhat.com> - 0.9-2
- add some missing requires

* Tue Aug 15 2006 Jeremy Katz <katzj@redhat.com> - 0.9-1
- Initial build

